Notas de versão do NetBeans IDE 5.5.1

Bem-vindo ao NetBeans IDE 5.5.1. O NetBeans IDE é um ambiente de desenvolvimento integrado, baseado em padrões e em módulos e escrito na linguagem de programação Java. O projeto NetBeans consiste em:


Para obter informações sobre a versão de pacotes suplementares do NetBeans, consulte:

Observação: Se quiser usar a funcionalidade SOA e BPEL no Enterprise Pack, utilize o NetBeans IDE 5.5 com o NetBeans Enterprise Pack 5.5. Não temos previsto lançar futuras atualizações do NetBeans Enterprise Pack 5.x. Todos os nossos esforços estão voltados para o desenvolvimento do NetBeans 6.0 com SOA.


Conteúdo

Observação: Se deseja obter informações sobre a instalação do NetBeans IDE 5.5.1, consulte as Instruções de instalação do NetBeans IDE 5.5.1.

Observação: Se quiser usar a funcionalidade SOA e BPEL no Enterprise Pack, utilize o NetBeans IDE 5.5 com o NetBeans Enterprise Pack 5.5. Não temos previsto lançar futuras atualizações do NetBeans Enterprise Pack 5.x. Todos os nossos esforços estão voltados para o desenvolvimento do NetBeans 6.0 com SOA.


Tecnologias compatíveis


O NetBeans IDE 5.5.1 é compatível com as seguintes tecnologias:

  • Enterprise JavaBeans (EJB) 3.0
  • JAX-WS 2.0
  • Java Persistence (JSR-220)
  • JavaServer Faces 1.2 (JSR-127)
  • Java Servlet 2.5
  • JavaServer Pages (JSP) 2.1
  • Struts 1.2.9
  • API de Java para Chamadas de Procedimento Remoto (RPCs) baseadas em XML (JAX-RPC) 1.6.
  • APIs de Java para registros de XML (JAXR) 1.0
  • API de Java para processamento de XML (JAXR) 1.2
  • JavaServer Pages Standard Tag Library 1.1

Observação: O uso de versões do JBoss, WebLogic ou Struts diferentes das especificadas pode alterar o funcionamento do IDE de forma imprevisível, pois as interfaces externas não são controladas pela equipe do projeto.

O NetBeans IDE 5.5.1 foi testado com os seguintes servidores de aplicativos:

  • Sun Java System Application Server 9.1 Beta (GlassFish V2)
  • Servidor de aplicativos Sun Java System PE 8.2
  • Tomcat 5.5.17
  • JBoss 4.0.4
  • WebLogic 9.1

Se estiver usando o servidor de aplicativos GlassFish, recomenda-se executar a compilação final do GlassFish V2 para trabalhar com o NetBeans IDE 5.5.1.

superior


Requisitos do sistema

Sistemas operacionais suportados

O NetBeans IDE é executado em sistemas operacionais compatíveis com a Java VM. Veja uma lista das plataformas nas quais o NetBeans IDE já foi testado.

  • Microsoft Windows XP Professional SP2
  • Sistema operacional Solaris (Edições das plataformas SPARC e x64) versão 10
  • Mac OS X 10.4.5 PPC
  • Ubuntu 6.x
  • Red Hat EL 4

O NetBeans IDE também pode ser executado nas seguintes plataformas:

  • Java Desktop System 2
  • Microsoft Windows 2000 Professional SP4
  • Mac OS X 10.4.5 Intel
  • Outras distribuições do Linux, como o Red Hat Enterprise Linux
  • Open VMS 7.2-1 ou superior
Configuração mínima de hardware

Observação: A resolução de tela mínima para o IDE é de 1.024x768 pixels.

  • Sistemas operacionais Microsoft Windows:
    • Processador: 500 MHz Intel Pentium III ou equivalente
    • Memória: 512 MB
    • Espaço em disco: 850 MB de espaço em disco disponível

  • Sistema operacional Linux:
    • Processador: 500 MHz Intel Pentium III ou equivalente
    • Memória: 512 MB
    • Espaço em disco: 450 MB de espaço em disco disponível

  • Solaris OS (SPARC):
    • Processador: UltraSPARC II 450 MHz
    • Memória: 512 MB
    • Espaço em disco: 450 MB de espaço em disco disponível

  • Solaris OS (x86/x64 Platform Edition):
    • Processador: AMD Opteron 100 Series 1,8 GHz
    • Memória: 512 MB
    • Espaço em disco: 450 MB de espaço em disco disponível

  • Sistema operacional Macintosh OS X:
    • Processador: PowerPC G4
    • Memória: 512 MB
    • Espaço em disco: 450 MB de espaço em disco disponível
Configuração de hardware recomendada
  • Sistemas operacionais Microsoft Windows:
    • Processador: 1,4 GHz Intel Pentium III ou equivalente
    • Memória: 1 GB
    • Espaço em disco: 1 GB de espaço em disco disponível

  • Sistema operacional Linux:
    • Processador: 1,4 GHz Intel Pentium III ou equivalente
    • Memória: 1 GB
    • Espaço em disco: 850 MB de espaço em disco disponível

  • Solaris OS (SPARC):
    • Processador: UltraSPARC IIIi 1 GHz
    • Memória: 1 GB
    • Espaço em disco: 850 MB de espaço em disco disponível

  • Solaris OS (x86/x64 Platform Edition):
    • Processador: AMD Opteron 100 Series 1,8 GHz
    • Memória: 1 GB
    • Espaço em disco: 850 MB de espaço em disco disponível

  • Sistema operacional Macintosh OS X:
    • Processador: PowerPC G5
    • Memória: 1 GB
    • Espaço em disco: 850 MB de espaço em disco disponível
Software necessário

O NetBeans IDE é executado no J2SE JDK 5.0 (Java SE Development Kit), composto pelo Java Runtime Environment e por ferramentas de desenvolvimento para compilar, depurar e executar aplicativos escritos na linguagem Java.

É possível fazer o download do JDK para sua plataforma em um destes sites:

superior


Compatibilidade

Ao executar o IDE pela primeira vez, é possível importar um subconjunto de configurações usadas no NetBeans IDE 5.0. Se escolher não importar as configurações usadas na versão anterior, o IDE é aberto com as configurações padrão.

Observação: O IDE só reconhece instalações anteriores se o diretório de usuário estiver no local padrão. O IDE não reconhece instalações em que o diretório de usuário foi especificado em --userdir. Se quiser importar configurações de um IDE não reconhecido pelo instalador, faça o download de uma versão arquivada do IDE em vez de substituir o instalador.

Embora seja possível importar configurações de uma instalação anterior do IDE para o NetBeans IDE 5.5.1, não é possível importar as configurações do NetBeans IDE 5.5.1 para uma versão anterior do IDE.

Observação:Se você editar no NetBeans IDE 5.5.1 as propriedades de projeto de um projeto criado no NetBeans IDE 4.1 ou anterior, não será mais possível trabalhar com esse projeto em versões anteriores do NetBeans IDE.


superior


Problemas conhecidos



Os problemas não solucionados dessa versão são os seguintes:

    Os caracteres não são exibidos adequadamente em alguns locais asiáticos.

    Descrição: Ao executar o IDE em alguns locais asiáticos em Ubuntu 6.x e algumas distribuições do Linux, o texto da tela do IDE pode ficar ilegível. Em determinadas distribuições do Linux, os caracteres multibytes podem ser exibidos em forma de retângulos devido a problemas de configuração de fonte do JDK.

    Solução: Por não haver nenhuma solução conhecida para este problema, recomenda-se o uso de distribuições alternativas do Linux se tiver que usar uma localidade sujeita a este comportamento. Observe que este problema não ocorre no Red Hat Enterprise Linux 3.


  • Erro #26965: O instalador do IDE trava.

    Descrição: Caso tenha uma versão incompatível de sax.jar na sua instalação do JDK, o instalador do IDE trava e é exibida a seguinte mensagem: "O assistente não pode prosseguir por causa do seguinte erro: não é possível carregar o assistente especificado em /wizard.inf (104)"

    Solução: Remover temporariamente jre/lib/endorsed/sax.jar do diretório do JDK durante a instalação do IDE.

  • Erro #64771: Falha na inicialização com a opção de segurança elevada SELinux do Linux habilitada.

    Descrição: Ao iniciar o NetBeans com a opção de segurança elevada SELinux habilitada, ocorre uma falha na inicialização (somente no Linux).

    Solução: Se esse problema acontecer, desabilite o SELinux temporariamente digitando #setenforce 0 na linha de comando. Observe que essa operação requer privilégios de raiz. Em seguida, insira selinux=0 na linha de comando do agente para desabilitar o SELinux na inicialização.

  • Erro #64840: Comunicação em rede corrompida no Linux com o IPv6 habilitado.

    Descrição: Comunicação em rede corrompida no Linux com o IPv6 habilitado, impedindo que o IDE se conecte a servidores agrupados, atualizações automáticas, etc.

    Solução: Se isso acontecer, execute o IDE usando -J-Djava.net.preferIPv4Stack=true'. Outra possibilidade é desabilitar o IPv6 (em /etc/modules.conf ou /etc/modprobe.conf).

    Para mais informações, consulte: Erro #5087907.

  • Erro #75967: Erro de memória insuficiente ao trabalhar com arquivos WSDL grandes.

    Descrição: Ao criar um cliente de serviço da Web a partir do WSDL, o IDE retorna a mensagem OutOfMemoryError e temporariamente pode não estar disponível.

    Solução: Se tiver esse problema, altere o parâmetro de inicialização -J-Xmx128m, em $NB_HOME/etc/netbeans.conf, para -J-Xmx256m.

  • Erro #71959: Falha no auto-completar de código porque os códigos-fonte estão fora do projeto.

    Descrição: Ao abrir um arquivo fonte Java que não está em um projeto e tentar executar o auto-completar de código para classes Java padrão, a caixa de auto-completar de código não oferece nenhuma possibilidade.

    Solução: Crie um projeto para os códigos-fonte que você pretende editar no IDE.

  • Erro #75562: A importação do mapa de teclas do NetBeans IDE 5.0 não funciona.

    Descrição: O IDE não importa corretamente todos os perfis do mapa de teclas criados pelo usuário ou as alterações para os perfis padrão de mapa de teclas.

    Solução: Nenhuma.

  • Erro #77129: As combinações da tecla Alt e o teclado não funcionam em plataformas Macintosh.

    Descrição: Nenhuma das combinações do teclado que usam a tecla Alt funciona no Macintosh.

    Solução: Usar itens de menu que executem os comandos.

  • Erro #85361: O instalador do NetBeans 5.5 não é inicializado no Windows Vista.

    Descrição: Em sistemas com o Windows Vista, a inicialização do instalador do NetBeans 5.5 falha e aparece uma mensagem sugerindo a execução com um sinalizador "silencioso" ou de "console".

    Solução: Para corrigir esse problema, execute o instalador no JDK 6.0, construção 96 ou mais recente.

    Se tiver outras dificuldades, desabilite o Modo de compatibilidade manualmente. Para fazer isso, clique com o botão direito do mouse no arquivo instalador .exe e escolha Propriedades no menu pop-up. Em seguida, desmarque o Modo de compatibilidade na guia Compatibilidade na caixa de diálogo Propriedades do arquivo. O Modo de compatibilidade é ativado automaticamente, portanto é preciso desativá-lo para o usuário atual e todos os usuários. Para tanto, clique no botão "Exibir configurações para todos os usuários", depois desmarque a caixa de seleção do Modo de compatibilidade na caixa de diálogo "Compatibilidade para todos os usuários".

  • Erro #86858: Problemas em redesenhar no MacOS com JDK 1.6.

    Descrição: Ao arrastar a guia, aparece um quadrado preto. Depois de soltar a guia, ocorrem problemas de redesenho na tela de boas-vindas.

    Solução: Defina -J-Dapple.awt.graphics.UseQuartz=true ou use Java 1.5 para executar o IDE.

  • Erro #87247: Copiar classes não insere as instruções de importação necessárias.

    Descrição: Ao copiar e colar uma classe de um pacote para outro, as instruções de importação não são adicionadas.

    Solução: Se ocorrer esse problema, execute a ação Corrigir importações na classe.

  • Erro #6986: O código não foi atualizado corretamente quando a propriedade de Bean foi renomeada.

    Descrição: Ao renomear a propriedade de Bean com métodos de leitura e escritura, o código-fonte não foi atualizado corretamente.

    Solução: Certifique-se de que haja um metamodelo completo para o Bean, depois localize o padrão setter/getter e altere-o. Observe que essa solução alternativa não funcionará se os códigos do método já tiverem sido alterados.

  • Erro #83712: Projeto com nome de caminho não-ASCII não pode ser construído no JDK 6.

    Descrição: Ao executar o IDE no JDK 1.6 (independente da versão do Java usada para construir projetos), e o caminho do arquivo para o seu projeto contém caracteres nacionais que não estão no conjunto de caracteres ASCII, você pode encontrar um erro ao construir ou executar seu projeto. Trata-se de um erro no Ant 1.6.5 disparado por analisadores de XML mais recentes.

    Solução: Se isto ocorrrer, você pode usar uma das soluções seguintes:

    1. Coloque o projeto em uma pasta que não use tais caracteres renomeando o projeto através do menu contextual deste.
    2. Execute o IDE em JDK 5.
    3. Faça o download do Ant 1.7.0. Em seguida, altere o parâmeto de Ant Home para mostrar a instalação Ant 1.7.0 em Ferramentas > Opções > Miscelânea > Ant.
    4. Adicione o xercesImpl.jar à classpath do IDE navegando até Ferramentas > Opções > Miscelânea > Ant e clicando em Gerenciar classpath. Em seguida, clique em Adicionar JAR/ZIP e selecione o arquivo xerces-<<version>>.jar no diretório ide<<number>>/modules/ext na pasta de instalação do NetBeans.

superior


Documentação

Observação: O NetBeans IDE 5.5.1 foi uma correção de erros, sendo assim a documentação do 5.5 disponível no netbeans.org é aplicável e deve funcionar em muitos casos.

Para obter informações sobre o uso do IDE, consulte os seguintes recursos:

Guia de introdução:

Caminhos da aprendizagem: Lista completa da documentação sobre o NetBeans IDE 5.5:

Observação: Se estiver executando o NetBeans IDE no Mac OS X, consulte Usando o NetBeans no Mac OS X para obter mais informações sobre equivalência de teclados, dicas, truques e outros tópicos específicos ao Mac.

superior


Mais informações

É possível encontrar notícias, artigos, módulos adicionais e outras informações úteis no site do projeto NetBeans na Web. Visto que o NetBeans é um projeto de código aberto, o site da Web também oferece acesso ao código-fonte, a um banco de dados de erros, informações sobre a criação de módulos do NetBeans e muito mais.

Para mais informações, visite http://www.netbeans.org.

Se quiser se manter atualizado sobre o IDE e em contato com a comunidade NetBeans, assine a lista de usuários do projeto NetBeans em https://netbeans.org/community/lists/.

superior


Not logged in. Log in, Register

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2016, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo